## GWS (Go WebSocket)

**author**: xdrm-brackets

Websocket implementation in go. It features a server as well as a client.



**Key objectives**

| objective  | my definition                                                |
| :--------: | ------------------------------------------------------------ |
|    fast    | response time less than 1ms at least                         |
|  reliable  | gracefully handle usage/network/... errors                   |
|   secure   | add available cryptography (stream)                          |
| compatible | respect [RFC-6455](https://tools.ietf.org/html/rfc6455) as well as actual browser implementations |
|  generic   | use golang implicit interfaces to make the code reusable for all (most) cases |
